
<div class="row">
  <div class="col-12 col-lg-6">
    <div class="form-row border-bottom-secondary mb-2">
      <div class="form-group col-12">
        <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Telefonos</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-11">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-phone"></i></span></div>
          <input class="ControlInput--Input align-middle" type="text" placeholder="Telefono" size="sm" [(ngModel)]="tClienteTelefonoNuevo.Telefono"/>
        </div>
      </div>
      <div class="form-group col-12 col-lg-1">
        <button class="btn btn-outline-success" (click)="CargarTelefono()" name="Agregar" title="Agregar"><i class="fas fa-plus"></i></button>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="row pb-2" *ngFor="let tTelefonoFor of tCliente.LTelefonos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index">
          <div class="col-12">
            <div class="card border-left-secondary">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col-auto text-center">
                    <div class="fas fa-phone fa-2x" [ngClass]="{'text-gray-300': tTelefonoFor.Principal === 0, 'text-success': tTelefonoFor.Principal === 1}"></div>
                    <div class="custom-control custom-switch pt-2">
                      <input class="custom-control-input" type="radio" name="rbPrincipal" id="chkPrinc{{tTelefonoFor.Id}}" ng-true-value="1" ng-false-value="0" [checked]="tTelefonoFor.Principal" (change)="TelefonoPrincipal(tTelefonoFor)"/>
                      <label class="custom-control-label" for="chkPrinc{{tTelefonoFor.Id}}">Principal</label>
                    </div>
                  </div>
                  <div class="col ml-4">
                    <div class="h6 text-primary mb-0 text-gray-800">{{ tTelefonoFor.Telefono }}</div>
                  </div>
                  <div class="col-auto">
                    <button class="btn btn-outline-danger" type="button" (click)="EliminarTelefono(tTelefonoFor, jv)"><span class="fas fa-trash"></span></button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row pt-2">
      <div class="form-gropup col-12">
        <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tCliente.LTelefonos.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
      </div>
    </div>
  </div>
  <div class="col-12 col-lg-6"></div>
</div>